package com.xjrsoft.module.liteflow.node;

import cn.hutool.core.convert.Convert;
import com.xjrsoft.module.student.service.ISchoolRollTransferStudentService;
import com.yomahub.liteflow.core.NodeComponent;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @author dzx
 * @date 2023/11/30
 */
@Component("wf_school_roll_transfer_student_node")
public class WfSchoolRollTransferStudentNode extends NodeComponent {
    private ISchoolRollTransferStudentService schoolRollTransferStudentService;

    @Override
    public void process() throws Exception {
        // 获取表单中数据编号
        Map<String, Object> params = this.getFirstContextBean();
        Object value = util.getFormDatKey(params,"id");
        Long formId = Convert.toLong(value);
        if (formId != null) {
            // 数据处理
            schoolRollTransferStudentService.dataCache(formId);
        }
    }


}
